.card-informacion .p-element {
  .p-dialog-mask {
    background-color: var(--mask);
  }

  .p-dialog .p-dialog-header {
    height: 55px;
  }

  .p-dialog-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 0.2fr 1fr;

    /* Contenedor de las imagenes */
    .imagen {
      position: absolute;
      left: -6rem;
      top: 1.7rem;
      z-index: 1000;
      width: 350px;
      height: calc(100% - 55px);
      border-radius: var(--border-radius-card-2);
      box-shadow: var(--box-shadow-card);
      overflow: hidden;

      .imagen-principal {
        height: 80%;
        width: 100%;
      }

      /* Lista de imagenes para cambiar */
      .imagenes-cambiar {
        display: flex;
        gap: 5px;
        height: 20%;
        padding: 5px;
        background-color: white;

        /* Contenedor de cada imagen de la lista */
        & figure {
          width: calc(100% / 4);
          border-radius: var(--border-radius);
          overflow: hidden;
          transition: transform .3s ease;
          cursor: pointer;

          &:hover {
            transform: scale(1.1);
          }
        }
      }
    }

    /* Estilo para la disposición de contenido y formato de título */
    .contenido-detalle,
    .titulo {
      grid-column: 2;
      text-align: start;
    }

    .titulo {
      font-size: 24px;
    }

    .contenido-detalle {
      display: flex;
      flex-direction: column;
      gap: 20px;

      /* Estilo para mostrar el precio o categoría de un producto o emprendimiento*/
      .precio-categoria {
        font-size: 20px;
        font-weight: 500;
        color: var(--ligth);
      }

      .categoriaProducto,
      p {
        font-size: 16px;
        color: var(--grey);
      }

      .stock {
        width: fit-content;
      }

      /* Estilo para el párrafo de descripción */
      & p {
        height: auto;
        width: 100%;
      }

      /* Estilo para la dispocición del contenedor */
      .acciones {
        display: flex;
        justify-content: space-between;

        /* Dispocición del contenedor para cambiar cantidad de producto */
        .cantidad {
          display: flex;
          align-items: center;
          gap: 5px;

          & input {
            position: initial;
            max-width: 40px;
            width: auto;
            height: 30px;
            padding: 0 7px;
            text-align: center;
            color: var(--grey);
          }

          & input::-webkit-inner-spin-button,
          input::-webkit-outer-spin-button {
            -webkit-appearance: none;
            margin: 0;
          }

          & input {
            -moz-appearance: textfield;
            appearance: textfield;
          }

          & button {
            width: 20px;
            height: 20px;
            padding: 0;
          }

          &>button {
            font-size: 12px;
          }
        }
      }
    }

    /* Estilo para la información de contacto
    * Encaso de ser emprendedora
    */
    .informacion {
      display: flex;
      flex-direction: column;
      gap: 10px;

      .link_style {
        margin-top: 0;
        height: auto;

        & img {
          /* Posicionar la imagen en bottom del link a */
          position: relative;
          top: 4px;
          width: 25px;
          height: 25px;
        }

        &:last-child {
          margin-top: 5px;
        }
      }

      .uil-whatsapp {
        font-size: 24px;
        color: #25D366;
      }
    }
  }
}

@media (300px < width < 750px) {
  .card-informacion .p-element {
    .p-dialog-mask > .p-element {
        width: 90% !important;
        height: 60% !important;
    }

    .p-dialog .p-dialog-header {
      height: 20px;
    }

    .p-dialog-content {
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      /* Contenedor de las imagenes */
      .imagen {
        position: relative;
        left: auto;
        top: auto;
        width: 100%;
        height: 150px;

        .imagen-principal {
          height: 100%;
        }

        /* Lista de imagenes para cambiar */
        .imagenes-cambiar {
          display: none;
        }
      }

      /* Estilo para la disposición de contenido y formato de título */
      .titulo {
        font-size: 24px;
      }

      .contenido-detalle {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 10px;

        /* Estilo para mostrar el precio o categoría de un producto o emprendimiento*/
        .precio-categoria {
          font-size: 16px;
          width: auto;
        }

        .categoriaProducto,
        p {
          font-size: 14px;
          width: auto;
        }

        .stock {
          width: fit-content;
        }

        /* Estilo para la dispocición del contenedor */
        .acciones {
          display: flex;
          justify-content: space-between;

          /* Dispocición del contenedor para cambiar cantidad de producto */
          .cantidad {
            display: flex;
            align-items: center;
            gap: 5px;

            & input {
              position: initial;
              max-width: 40px;
              width: auto;
              height: 30px;
              padding: 0 7px;
              text-align: center;
              color: var(--grey);
            }

            & input::-webkit-inner-spin-button,
            input::-webkit-outer-spin-button {
              -webkit-appearance: none;
              margin: 0;
            }

            & input {
              -moz-appearance: textfield;
              appearance: textfield;
            }

            & button {
              width: 20px;
              height: 20px;
              padding: 0;
            }

            &>button {
              font-size: 12px;
            }
          }
        }
      }

      /* Estilo para la información de contacto
      * Encaso de ser emprendedora
      */
      .informacion {
        display: flex;
        flex-direction: column;
        gap: 10px;

        .link_style {
          margin-top: 0;
          height: auto;

          & img {
            /* Posicionar la imagen en bottom del link a */
            position: relative;
            top: 4px;
            width: 25px;
            height: 25px;
          }

          &:last-child {
            margin-top: 5px;
          }
        }

        .uil-whatsapp {
          font-size: 24px;
          color: #25D366;
        }
      }
    }
  }
}
